Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.keys
Class ModifierKey

    java.lang.Object
      org.eclipse.ui.keys.Key
          org.eclipse.ui.keys.ModifierKey

All Implemented Interfaces:
  Comparable

public final class ModifierKey
extends Key

Instances of `ModifierKey` represent the four keys on the keyboard recognized by convention as 'modifier keys', those keys typically pressed in combination with themselves and/or a `NaturalKey`.

`ModifierKey` objects are immutable. Clients are not permitted to extend this class.

Since:
  3.0
See Also:
  `NaturalKey`

Field Summary
`static ModifierKey` | `ALT` The single static instance of `ModifierKey` which represents the 'Alt' key.
`static ModifierKey` | `COMMAND` The single static instance of `ModifierKey` which represents the 'Command' key.
`static ModifierKey` | `CTRL` The single static instance of `ModifierKey` which represents the 'Ctrl' key.
`static ModifierKey` | `SHIFT` The single static instance of `ModifierKey` which represents the 'Shift' key.

Fields inherited from class org.eclipse.ui.keys.Key
`name`

Methods inherited from class org.eclipse.ui.keys.Key
`compareTo, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ALT

    public static final ModifierKey ALT

  The single static instance of `ModifierKey` which represents the 'Alt' key.

### COMMAND

    public static final ModifierKey COMMAND

  The single static instance of `ModifierKey` which represents the 'Command' key.

### CTRL

    public static final ModifierKey CTRL

  The single static instance of `ModifierKey` which represents the 'Ctrl' key.

### SHIFT

    public static final ModifierKey SHIFT

  The single static instance of `ModifierKey` which represents the 'Shift' key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.